unit MainF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ComCtrls, FileCtrl, Mylabel, ExtCtrls, Gradient;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    TitreLbl: TmyLabel3d;
    RepLbl: TLabel;
    FichLbl: TLabel;
    LecLbl: TLabel;
    TypeLbl: TLabel;
    FileListBox: TFileListBox;
    DirectoryListBox: TDirectoryListBox;
    FFilterComboBox: TFilterComboBox;
    NetBtn: TBitBtn;
    DriveComboBox: TDriveComboBox;
    FerBtn: TBitBtn;
    AideBtn: TBitBtn;
    LangBtn: TBitBtn;
    EFilterComboBox: TFilterComboBox;
    DfGradient1: TDfGradient;
    procedure NetBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FFilterComboBoxExit(Sender: TObject);
    procedure FFilterComboBoxClick(Sender: TObject);
    procedure LangBtnClick(Sender: TObject);
    procedure AideBtnClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  FOldFilter, EOldFilter : String;
implementation

{$R *.DFM}

procedure TForm1.NetBtnClick(Sender: TObject);
var
SearchRec : TSearchrec;
Found : integer;
F : TextFile;
begin
if LangBtn.Caption = '&English' then
begin
if MessageDlg('Voulez-vous effacer dfinitivement ce ou ces fichier(s) ?',
               mtConfirmation, [mbYes, mbNo],0) = mrNo then
 Exit;
end
else
begin
if MessageDlg('Do you want to erase permanently this or these file(s) ?',
               mtConfirmation, [mbYes, mbNo],0) = mrNo then
 Exit;
end;
Screen.Cursor := crHourGlass;
  if FileListBox.Mask = '*.*' then
    begin
      if FileListBox.FileName = '' then
        begin
          while Found <> -1 do
            begin
              try
                assignFile(F, FileListBox.Items[0]);
                Erase(F);
                FileListBox.Update;
              except
                Found := -1;
              end;
            end;
        end {Fin if FileName = ''}
      else
        Found := FindFirst(FileListBox.FileName, faAnyFile, SearchRec)
    end {Fin if Mask = '*.*'}
  else
    begin
      if FileListBox.FileName <> '' then
        Found := FindFirst(FileListBox.FileName, faAnyFile, SearchRec)
      else
        Found := FindFirst(DirectoryListBox.Directory + '\' + FileListBox.Mask, faAnyFile, SearchRec);
    end;
  while Found = 0 do
    begin
      assignFile(F, SearchRec.Name);
      Erase(F);
      FileListBox.Update;
      Found := FindNext(SearchRec);
    end;
  FindClose(SearchRec);
Screen.Cursor := crDefault;
end; {Fin procedure}


procedure TForm1.FormCreate(Sender: TObject);
var
Buff : array[0..4] of Char;
begin
GetLocaleInfo(0,LOCALE_SABBREVLANGNAME,Buff,SizeOf(Buff));
{if ParamCount > 0 then
 if (ParamStr(1) = '/E') or (ParamStr(1) = '/e') then}
 if (Buff[0] <> 'f') and (Buff[1] <> 'fr') then
   begin
     LangBtn.Caption := '&English';
     LangBtnClick(Sender);
   end;
FOldFilter := FFilterComboBox.Filter;
EOldFilter := EFilterComboBox.Filter;
end;

procedure TForm1.FFilterComboBoxExit(Sender: TObject);
begin
FFilterComboBox.Filter := FOldFilter;
EFilterComboBox.Filter := EOldFilter;
end;

procedure TForm1.FFilterComboBoxClick(Sender: TObject);
var
VC: String;
begin
if LangBtn.Caption = '&English' then
begin
if FFilterComboBox.Mask = '???.???' then
  begin
    VC := InputBox('Boite de Saisie de Recherche', 'N''oubliez pas l''extension !', '');
    FFilterComboBox.Filter := 'Votre Choix|' + VC + '|' + FOldFilter;
  end;
end
else
begin
if EFilterComboBox.Mask = '???.???' then
  begin
    VC := InputBox('Find Dialog Box', 'Do not forget the extention !', '');
    EFilterComboBox.Filter := 'Your Choice|' + VC + '|' + EOldFilter;
  end;
end;
end;

procedure TForm1.LangBtnClick(Sender: TObject);
begin
if LangBtn.Caption = '&English' then
begin
  LangBtn.Caption := '&Franais';
  TitreLbl.Caption:= 'Unused Files Cleaning Tool';
  RepLbl.Caption := 'In which Directory ?';
  FichLbl.Caption := 'Files List';
  LecLbl.Caption := 'On which Drive ?';
  TypeLbl.Caption := 'Which Files ?';
  NetBtn.Caption := '&Clean';
  FerBtn.Caption := 'Cl&ose';
  AideBtn.Caption := '&Help';
  EFilterComboBox.Visible := True;
  FFilterComboBox.Visible := False;
end
else
begin
  LangBtn.Caption := '&English';
  TitreLbl.Caption:= 'Outil de nettoyage de Fichiers inutiliss';
  RepLbl.Caption := 'Dans Quel Rpertoire ?';
  FichLbl.Caption := 'Liste des Fichiers Trouvs';
  LecLbl.Caption := 'Sur quel lecteur ?';
  TypeLbl.Caption := 'Quel Type de Fichier ?';
  NetBtn.Caption := '&Nettoyer';
  FerBtn.Caption := '&Fermer';
  AideBtn.Caption := '&Aide';
  FFilterComboBox.Visible := True;
  EFilterComboBox.Visible := False;
end;
end;


procedure TForm1.AideBtnClick(Sender: TObject);
begin
if LangBtn.Caption = '&English' then
Application.HelpFile:= ExtractFilePath(Application.ExeName) + 'MrNet.HLP'
else
Application.HelpFile:= ExtractFilePath(Application.ExeName) + 'MrClean.HLP';
Application.HelpCommand(HELP_FINDER,0)
end;

end.
